Subject: Re: mmotm 2019-05-29-20-52 uploaded

From: "Huang\, Ying" <[email-masked]>
Date: Fri, 31 May 2019 09:43:13 +0800

Hi, Mike,

Mike Kravetz <[email-masked]> writes:

> On 5/29/19 8:53 PM, [email-masked] wrote:
>> The mm-of-the-moment snapshot 2019-05-29-20-52 has been uploaded to
>> 
>>    http://www.ozlabs.org/~akpm/mmotm/
>> 
>
> With this kernel, I seem to get many messages such as:
>
> get_swap_device: Bad swap file entry 1400000000000001
>
> It would seem to be related to commit 3e2c19f9bef7e
>> * mm-swap-fix-race-between-swapoff-and-some-swap-operations.patch

Hi, Mike,

Thanks for reporting!  I find an issue in my patch and I can reproduce
your problem now.  The reason is total_swapcache_pages() will call
get_swap_device() for invalid swap device.  So we need to find a way to
silence the warning.  I will post a fix ASAP.

Best Regards,
Huang, Ying